<?php	

	include_once("includes/conexao.php");

	  if(isset($_GET['id']) && !empty($_GET['id'])){
		  
		  $id = $_GET['id'];
		 
		  
		  
		  
	
	$html = '<table class="table table-bordered">';	
	$html .= '<thead>';
	$html .= '<tr>';
	$html .= '<th>Ref.</th>';
	$html .= '<th>Nome</th>';
	$html .= '<th>V.unit</th>';
	$html .= '<th>Saldo</th>';
	$html .= '<th>Estado</th>';
	$html .= '<th>Data</th>';
	$html .= '</tr>';
	$html .= '</thead>';
	$html .= '<tbody>';
	
	$item=1;
	
	$result_transacoes = "SELECT * FROM pagamentos WHERE id_pagamento ='$id'";
	
	$resultado_trasacoes = mysqli_query($con, $result_transacoes);
	while($row_transacoes = mysqli_fetch_assoc($resultado_trasacoes)){
		$html .= '<tr>';
		$html .= '<td>'.$item++. "</td>";
		$html .= '<td>'.$row_transacoes['nome_cliente'] . "</td>";
		$html .= '<td>'.$row_transacoes['valor_pago'] . "</td>";
		$html .= '<td>'.$row_transacoes['saldo'] . "</td>";
		$html .= '<td>'.$row_transacoes['status'] . "</td>";
		$html .= '<td>'.$row_transacoes['data'] . "</td></tr>";
				
	}
}
		


$stock = mysqli_query($con, "SELECT SUM(valor_pago) as soma  FROM pagamentos WHERE id_pagamento ='$id'");
 
  while($total = mysqli_fetch_array($stock)){
	  
	  $stock_total = $total['soma'];
  }
  
 
 $busca = "SELECT * FROM creditos WHERE id='$id'";
 $savia = mysqli_query($con,$busca);
 $amor = mysqli_fetch_assoc($savia);
 
 $total_credito = $amor['total'];
 $nome_cliente = $amor['cliente'];
 
 $transacoes = "SELECT * FROM pagamentos WHERE id_pagamento ='$id' ORDER BY ID DESC LIMIT 1";
 $sucess = mysqli_query($con,$transacoes);
 $jn_final = mysqli_fetch_assoc($sucess);
 
 $saldo = $jn_final['saldo'];


   
  
  
		
	$html .= '</tbody>';
	$html .= '</table>	
	
	<hr>
  
  <b>Total pago:'.number_format($stock_total,2,",",".").'</b><br>
  
  <b>Saldo Devedor: '.number_format($saldo,2,",",".").'</b><br>
	<br></br><br></br><br>';
	
	
	
		
	

	
	//referenciar o DomPDF com namespace
	use Dompdf\Dompdf;

	// include autoloader
	require_once("dompdf/autoload.inc.php");

	//Criando a Instancia
	$dompdf = new DOMPDF();
	

  
  
	
$logotipo_dados = "SELECT * FROM empresa";
$sim_consegui = mysqli_query($con,$logotipo_dados);
$dados_empresa = mysqli_fetch_assoc($sim_consegui);

$logo_empresa = $dados_empresa['logo'];	
$nome_empresa = $dados_empresa['nome_empresa'];	
$nuit = $dados_empresa['nuit'];	
$contactos = $dados_empresa['contactos'];	
$email_empresa = $dados_empresa['email'];	
$endereco_empresa = $dados_empresa['endereco'];


	
	// Carrega seu HTML
	$dompdf->load_html('
	
	<div class="jonas">
	<div class="logo" align="left">
	<img src="img/'.$logo_empresa.'" width="280px" height="180px"/>
	
	
	<p align="right" style="padding-top:-150px;">
	   <b>'.$nome_empresa.'</b><br>
	   Cell: (+258) '.$contactos.'<br>
	   Endereço: '.$endereco_empresa.'<br>
	   Email: '.$email_empresa.'<br>
	   Maputo-Moçambique<br><br>
	</p>
	</div>
	
	<br></br><br>
	
		
		<h4>Extracto de credito de '.$nome_cliente.'</h4>
		
		
			'. $html .'
			

			
		
		
			
			
			
			<p align="center">Relatorio gerado no dia '.$dia.'/'.$mes.'/'.$ano.'</p>
		');

	//Renderizar o html
	$dompdf->render();

	//Exibibir a página
	$dompdf->stream(
		"report.pdf", 
		array(
			"Attachment" => false //Para realizar o download somente alterar para true
		)
	);
	
?>